"Leave feedback" link has confusing scope
Closed, ResolvedPublic

Description

Component: UI

The speech bubble icon and "Leave feedback" link in Visual Editor look like they apply to the page being edited. I was expecting a Talk: tool.

It would be more clear if the text were "Report bug in Visual Editor", but that's annoyingly verbose. Which is sort of the intention here, I assume ;) Normally, this link would get buried in a dropdown menu or something, IMO.

The problem is exacerbated if you are sort of blind and zoom in your browser a lot, because the VE feedback link becomes very prominent once the toolbar is wrapped.

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz47815.
awight created this task.Via LegacyApr 29 2013, 5:54 AM
Jdforrester-WMF added a comment.Via ConduitApr 29 2013, 10:47 PM

The feedback link isn't a VisualEditor item but part of MediaWiki core. Moving bug appropriately.

Nemo_bis added a comment.Via ConduitNov 19 2013, 12:35 PM

Adding many blockers of bug 38638 to the list of "easy" bugs, to mark them as candidates for [[mw:Google Code-in]] tasks (gci2013). If you think this bug is not suitable, remove the keyword.

matmarex changed the title from "[mediawiki.feedback.js] "Leave feedback" link has confusing scope" to ""Leave feedback" link has confusing scope".Via WebDec 21 2014, 6:30 PM
matmarex removed a subscriber: wikibugs-l.
matmarex edited the task description. (Show Details)
matmarex set Security to None.
matmarex added a subscriber: matmarex.

The link is now neatly tucked inside a dropdown menu. There's no screenshot on this bug, so I can only guess that it wasn't like this before. This probably resolves the issue sufficiently.

Nemo_bis closed this task as "Resolved".Via WebDec 26 2014, 4:08 PM
Nemo_bis claimed this task.

Yep, from what I recall of the past and my understanding of the report, the issue looks solved.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.